Package com.google.android.exoplayer2.metadata

## Interface MetadataDecoder

- All Known Implementing Classes:
    `AppInfoTableDecoder`, `EventMessageDecoder`, `IcyDecoder`, `Id3Decoder`, `SimpleMetadataDecoder`, `SpliceInfoDecoder`

      public interface MetadataDecoder

  Decodes metadata from binary data.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Metadata` | `decode​(MetadataInputBuffer inputBuffer)` | Decodes a `Metadata` element from the provided input buffer.

- - ### Method Detail

    - #### decode

          @Nullable
          Metadata decode​(MetadataInputBuffer inputBuffer)

      Decodes a `Metadata` element from the provided input buffer.

      Respects `Buffer.limit()` of `inputBuffer.data`, but assumes `Buffer.position()` and `ByteBuffer.arrayOffset()` are both zero and `ByteBuffer.hasArray()` is true.

      Parameters:
        `inputBuffer` - The input buffer to decode.
      Returns:
        The decoded metadata object, or `null` if the metadata could not be decoded or if `Buffer.isDecodeOnly()` was set on the input buffer.